Skip to main content
POST
/
checkout
/
details
Get checkout details
curl --request POST \
  --url https://sandbox.kulmipay.com/api/v1/checkout/details \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "checkout_id": "<string>",
  "signature": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "signature": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "phone_number": "<string>",
  "email": "jsmith@example.com",
  "country": "<string>",
  "address": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zipcode": "<string>",
  "api_ref": "<string>",
  "wallet_id": "<string>",
  "host": "<string>",
  "is_mobile": true,
  "version": "<string>",
  "redirect_url": "<string>",
  "amount": "<string>",
  "paid": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.kulmipay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:ISSecretKey_test_xxxxxxxxxxxxxxxx
required

Use your KulmiPay secret key as the Bearer token.

Body

application/json
checkout_id
string
required
Minimum string length: 1
signature
string
required
Minimum string length: 1

Response

200 - application/json
id
string<uuid>
read-only
url
string
read-only
Minimum string length: 1
signature
string
read-only
Minimum string length: 1
first_name
string | null
Maximum string length: 45
Pattern: ^[a-zA-Z0-9-_ ]+$
last_name
string | null
Maximum string length: 45
Pattern: ^[a-zA-Z0-9-_ ]+$
phone_number
string | null
Maximum string length: 30
Pattern: ^[0-9-_+ ]+$
email
string<email> | null
Maximum string length: 254
country
string | null
Maximum string length: 2
Pattern: ^[a-zA-Z0-9-_ ]+$
address
string | null
Maximum string length: 140
Pattern: ^[a-zA-Z0-9-_ .,]+$
city
string | null
Maximum string length: 70
Pattern: ^[a-zA-Z0-9-_ .,]+$
state
string | null
Maximum string length: 70
Pattern: ^[a-zA-Z0-9-_ .,]+$
zipcode
string | null
Maximum string length: 10
Pattern: ^[a-zA-Z0-9-_ ]+$
api_ref
string | null
Maximum string length: 70
Pattern: ^[a-zA-Z0-9-_ ]+$
wallet_id
string | null
Maximum string length: 10
Pattern: ^[a-zA-Z0-9-_ ]+$
method
enum<string> | null
Available options:
M-PESA,
PESALINK
host
string<uri> | null
Maximum string length: 400
Pattern: ^[a-zA-Z0-9-_./=:?# ]+$
is_mobile
boolean
version
string | null
read-only
Minimum string length: 1
redirect_url
string<uri> | null
Maximum string length: 400
Pattern: ^[a-zA-Z0-9-_./=:?# ]+$
amount
string<decimal>
currency
enum<string>
Available options:
KES,
USD,
EUR,
GBP
paid
boolean
read-only
mobile_tarrif
enum<string>
Available options:
BUSINESS-PAYS,
CUSTOMER-PAYS
bitcoin_tarrif
enum<string>
Available options:
BUSINESS-PAYS,
CUSTOMER-PAYS
ach_tarrif
enum<string>
Available options:
BUSINESS-PAYS,
CUSTOMER-PAYS
created_at
string<date-time> | null
read-only
updated_at
string<date-time> | null
read-only